Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class SetLabelCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.eclipse.emf.edit.command.SetCommand
                  org.metaabm.commands.SetLabelCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class SetLabelCommand

extends org.eclipse.emf.edit.command.SetCommand

Propagates name changes to other object identifiers.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.command.SetCommand
`org.eclipse.emf.edit.command.SetCommand.PessimisticStrictCompoundCommand`

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.SetCommand
`canUndo, DESCRIPTION, ecorePackage, feature, index, LABEL, oldValue, owner, ownerList, removeCommand, UNSET_VALUE, value`

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`SetLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`
`SetLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain, java.util.List<TargetTranslator> translators, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`

Method Summary
`static org.eclipse.emf.common.command.Command` | `create(org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Object source, java.lang.Object value)`
`static org.eclipse.emf.common.command.Command` | `create(org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Object source, java.lang.Object feature, java.lang.Object value)` This creates a command to set the owner's feature to the specified value.
`static org.eclipse.emf.common.command.Command` | `create(org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Object source, java.lang.Object feature, java.lang.Object value, int index)` This creates a command to set the owner's feature to the specified value.
`org.eclipse.emf.common.command.Command` | `createDependent()`
`void` | `doExecute()`
`void` | `doRedo()`
`void` | `doUndo()`
`java.util.List<TargetTranslator>` | `translatorsFor(IID source, org.eclipse.emf.ecore.EStructuralFeature feature)`

Methods inherited from class org.eclipse.emf.edit.command.SetCommand
`doCanUndo, doGetAffectedObjects, doGetResult, getFeature, getIndex, getOldValue, getOwner, getOwnerList, getValue, prepare, toString`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanExecute, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### SetLabelCommand

    public SetLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                           java.util.List<TargetTranslator> translators,
                           org.eclipse.emf.ecore.EObject owner,
                           org.eclipse.emf.ecore.EStructuralFeature feature,
                           java.lang.Object value,
                           int index)

### SetLabelCommand

    public SetLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                           org.eclipse.emf.ecore.EObject owner,
                           org.eclipse.emf.ecore.EStructuralFeature feature,
                           java.lang.Object value,
                           int index)

Method Detail

### createDependent

    public org.eclipse.emf.common.command.Command createDependent()

### translatorsFor

    public java.util.List<TargetTranslator> translatorsFor(IID source,
                                                           org.eclipse.emf.ecore.EStructuralFeature feature)

### create

    public static org.eclipse.emf.common.command.Command create(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Object source,
                                                                java.lang.Object feature,
                                                                java.lang.Object value)

  This creates a command to set the owner's feature to the specified value. It is recommended to use the index form from ItemProvider.createSetCommand in order to ensure proper overriding behavior.

### create

    public static org.eclipse.emf.common.command.Command create(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Object source,
                                                                java.lang.Object value)

### create

    public static org.eclipse.emf.common.command.Command create(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Object source,
                                                                java.lang.Object feature,
                                                                java.lang.Object value,
                                                                int index)

  This creates a command to set the owner's feature to the specified value.

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doExecute` in class `org.eclipse.emf.edit.command.SetCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doRedo` in class `org.eclipse.emf.edit.command.SetCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doUndo` in class `org.eclipse.emf.edit.command.SetCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD